package com.dgtly.sync.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;

/**
 *  随身邦客户部门对象 meta_nippon_org_relation
 * 
 * @author qxp
 * @date 2020-07-15
 */
public class MetaNipponOrgRelation extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 部门id */
    private Long objid;

    /** 部门级别 */
    private String Short;

    /** 部门名称 */
    private String stext;

    /** 上级部门id */
    private String sobid;

    /**  */
    private String lineId;

    /** 包id */
    private String packageId;

    public void setObjid(Long objid) 
    {
        this.objid = objid;
    }

    public Long getObjid() 
    {
        return objid;
    }
    public void setShort(String Short)
    {
        this.Short = Short;
    }

    public String getShort() 
    {
        return Short;
    }
    public void setStext(String stext) 
    {
        this.stext = stext;
    }

    public String getStext() 
    {
        return stext;
    }
    public void setSobid(String sobid) 
    {
        this.sobid = sobid;
    }

    public String getSobid() 
    {
        return sobid;
    }
    public void setLineId(String lineId) 
    {
        this.lineId = lineId;
    }

    public String getLineId() 
    {
        return lineId;
    }
    public void setPackageId(String packageId) 
    {
        this.packageId = packageId;
    }

    public String getPackageId() 
    {
        return packageId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("objid", getObjid())
            .append("short", getShort())
            .append("stext", getStext())
            .append("sobid", getSobid())
            .append("lineId", getLineId())
            .append("packageId", getPackageId())
            .toString();
    }
}
